%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate tracing

Name:           rust-tracing
Version:        0.1.40
Release:    1%{?dist}
Summary:        Application-level tracing for Rust

License:        MIT
URL:            https://crates.io/crates/tracing
Source0:         %{crates_source}
Patch:          tracing-fix-metadata-auto.diff
Patch:          tracing-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Application-level tracing for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-await-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-await-devel %{_description}

This package contains library source intended for building other packages which
use the "async-await" feature of the "%{crate}" crate.

%files       -n %{name}+async-await-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+attributes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+attributes-devel %{_description}

This package contains library source intended for building other packages which
use the "attributes" feature of the "%{crate}" crate.

%files       -n %{name}+attributes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-always-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-always-devel %{_description}

This package contains library source intended for building other packages which
use the "log-always" feature of the "%{crate}" crate.

%files       -n %{name}+log-always-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_debug" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_error-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_error-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_error" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_error-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_info-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_info" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_off-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_off-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_off" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_off-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_trace-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_trace" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_trace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+max_level_warn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+max_level_warn-devel %{_description}

This package contains library source intended for building other packages which
use the "max_level_warn" feature of the "%{crate}" crate.

%files       -n %{name}+max_level_warn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_debug" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_error-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_error-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_error" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_error-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_info-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_info" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_info-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_off-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_off-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_off" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_off-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_trace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_trace-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_trace" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_trace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+release_max_level_warn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+release_max_level_warn-devel %{_description}

This package contains library source intended for building other packages which
use the "release_max_level_warn" feature of the "%{crate}" crate.

%files       -n %{name}+release_max_level_warn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-attributes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-attributes-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing-attributes" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-attributes-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.40-1
- initial build
